Bug 301861 - File playback seeking using the slider does not work for FLAC files
File playback seeking using the slider does not work for FLAC files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: phonon (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
: 305451 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-22 18:33 EDT by Peter Fernandes
Modified: 2012-08-16 18:13 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:13:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Fernandes 2007-09-22 18:33:37 EDT
Description of problem:
Using the slider in the bottom-right of the Amarok window does not work with
FLAC files.  Attempting to reposition the slider only causes the slider movement
, as well as sound output to halt (although the analyzers continue to animate).

Version-Release number of selected component (if applicable):
amarok-1.4.7-2.fc7

How reproducible:
Always

Steps to Reproduce:
1. Begin playback of a FLAC file in Amarok
2. Move the song position slider
  
Actual results:
Audio playback ceases and the slider freezes position

Expected results:
The current play position is adjusted as with any other type of file
Comment 1 Rex Dieter 2007-10-04 09:56:45 EDT
fwiw, this would be an ideal candidate to report upstream to bugs.kde.org.  Much
more likely to see the issue addressed by upstream devs.
Comment 2 Aurelien Bompard 2007-10-06 11:08:15 EDT
Could you try playing the files in Kaffeine and see if you can reproduce the bug
there ? If the bug is there too, then it comes from xine.
Also, please try the workaround described here :
http://amarok.kde.org/forum/index.php/topic,13977.0.html
Comment 3 Rex Dieter 2007-10-08 17:23:25 EDT
*** Bug 305451 has been marked as a duplicate of this bug. ***
Comment 4 Dean Mander 2007-10-11 12:19:36 EDT
Definitely a xine-bug.

I don't have kaffeine, but when playing flac files with the xine player, the
same behaviour occurs.

The result is not due to a missing seektable. I checked and my flac files dó
have a seektable. So, the workaround doesn't help.

Can this be forwarded as a xine bug?
xine 0.99.5-1.lvn7 (x86_64)
xine-lib 1.1.7-1.fc7 (x86_64)
Comment 5 Rex Dieter 2007-10-11 12:36:46 EDT
Reassigning -> xine-lib
Comment 6 Ville Skyttä 2007-10-11 13:28:45 EDT
Works fine for me in amarok, gets stuck for a fraction of a second in kaffeine
usually but sometimes completely stuck, and always completely stuck (until moved
again) in xine.  Clicking the slider instead of sliding it in kaffeine seems to
get it stuck less often.  Same results with xine-lib 1.1.7 and 1.1.8.
Comment 7 Bug Zapper 2008-05-14 10:27:04 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Dean Mander 2008-05-15 17:44:53 EDT
Bug still present in Fedora 9 (still not fixed upstream?)
Comment 9 Peter Fernandes 2008-05-15 18:18:35 EDT
I believe this is not actually a bug in xinelib.  It can't seek in FLAC files
due to the lack of seek points in some files (such as those created by
SoundJuicer).  ffmpeg can be used to create seekpoints in FLAC files.
Comment 10 Dean Mander 2008-05-16 06:38:07 EDT
Peter,

you must have missed my comment #4: 
even files with seekpoints can't be seeked.

To be sure I've tested again with amarok and xine-player.
Amarok just doesn't seek at all (both with and without seektable)
xine-player seeks in a very buggy way: it stops and restarts a minute later in
the file, while the seek is set each 10 seconds, or sometimes it completely
stops and 15 seconds later xine exits with an error (both with and without
seektable)

Components:
 xine                    x86_64     0.99.5-1.lvn8
 xine-lib                x86_64     1.1.12-2.fc9
Comment 11 Bug Zapper 2009-06-09 18:51:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 13:55:29 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Ville Skyttä 2009-07-14 14:32:01 EDT
I just tested a flac that has seek tables on F-10 x86_64, xine-lib-1.1.16.3-2.fc10:

- Works fine with amarok-2.1.1-1.fc10.x86_64
- kaffeine-0.8.7-3.fc10.x86_64 and xine-ui-0.99.5-11.fc10.x86_64 have same
  issues as in comment 6.

So, reopening, but the fact it works fine in amarok (xine is the only phonon backend I have installed), I suppose it might not be a xine-lib problem after all, but maybe one in both kaffeine and xine-ui.
Comment 14 Bug Zapper 2009-11-18 05:08:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Ville Skyttä 2009-11-18 17:06:02 EST
Comment 13 still applies exactly as is with:

xine-ui-0.99.5-16.fc11.x86_64
kaffeine-0.8.7-7.fc11.x86_64
xine-lib-1.1.16.3-2.fc11.x86_64

(Not tested with amarok.)
Comment 16 Rex Dieter 2009-12-12 21:22:13 EST
It would appear from some reports that xine-lib-extras-freeworld's ffmpeg decoder is to blame here.  Anyone seeing this *without* -freeworld installed?
Comment 17 Rex Dieter 2009-12-12 21:24:59 EST
In the meantime, if someone could share with me a .flac file that exhibits this problem for testing, I'd appreciate it.
Comment 19 Edgar Hoch 2009-12-12 23:32:32 EST
Note: My machine used for this test runs fedora 10.

I tried kaffeine and seeking works with a .flac file.
I tried the same in amarok and I can't seek - when moving the song position slider it still jumps back to an area around the old position - and sometimes a small part of the audio is skipped.

To comment #16:
I removed xine-lib-extras-freeworld and restarted amarok and kaffeine.
I see no difference with and without this package.

Versions:
xine-lib-1.1.16.3-2.fc10.x86_64
xine-ui-0.99.5-16.fc10.x86_64
xine-lib-extras-1.1.16.3-2.fc10.x86_64
xine-lib-extras-freeworld-1.1.16.3-1.fc10.x86_64
xine-plugin-1.0.1-4.fc10.x86_64
xine-lib-pulseaudio-1.1.16.3-2.fc10.x86_64
amarok-libs-2.2.1-2.fc10.x86_64
amarok-utils-2.2.1-2.fc10.x86_64
amarok-2.2.1-2.fc10.x86_64
kaffeine-0.8.7-3.fc10.x86_64
kaffeine-libs-0.8.7-3.fc10.x86_64
Comment 20 Rex Dieter 2009-12-13 13:53:27 EST
Tested this on f12, and seems to be more phonon related now.

xine-ui was (mostly) ok, both kaffeine (kde4/phonon based) and amarok behaved similarly, where seeking *kinda* worked, but just not all that reliably.

Fwiw, tested both xine/gstreamer backends, and a bit surprisingly, -xine worked a little bit better here.
Comment 21 Bug Zapper 2010-04-27 07:46:20 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Ville Skyttä 2010-04-28 17:07:06 EDT
Appears to work ok in F-13 with dragon, kaffeine and xine.
Comment 23 Bug Zapper 2010-06-28 06:27:13 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 24 Edgar Hoch 2010-06-28 07:55:26 EDT
I have tested a flac file with amorak today with Fedora 12 with all updates as today and I cann't move the slider as I can do it with other audio formats. Moving the slider with the mouse let the slider jump back near to the old position - maybe moved a very small drift.

So the problem still exists with Fedora 12.
Comment 25 Kevin Kofler 2010-06-28 12:28:11 EDT
Reopening and retargeting based on comment #24.
Comment 26 Bug Zapper 2010-11-04 08:06:50 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Ville Skyttä 2010-11-04 12:05:31 EDT
Issue persists as described in comment 24 in F13.
Comment 28 Rex Dieter 2010-11-04 12:18:38 EDT
It's going to persist as long as phonon-backend-xine is used (and xine-lib continues to not support this).

(Maybe either phonon-backend-vlc or -gstreamer can be better in time for f15, who knows)
Comment 29 Fedora End Of Life 2012-08-16 18:13:22 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.